DispatcherImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.DispatcherImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class DispatcherImpl

    java.lang.Object
      org.codehaus.activemq.service.impl.DispatcherImpl

All Implemented Interfaces:
  Dispatcher, Service

public class DispatcherImpl
extends Object
implements Dispatcher

A dispatcher of messages to some JMS connection.

Typically this uses either IO or NIO to shovel the messages down a socket as fast as possible - in either a push or pull way.

Version:
  $Revision: 1.2 $

Constructor Summary
`DispatcherImpl()`

Method Summary
`void` | `addActiveSubscription(BrokerClient client, Subscription sub)` Add an active subscription
`void` | `register(MessageContainerManager mcm)` Register the MessageContainerManager for the Dispatcher
`void` | `removeActiveSubscription(BrokerClient client, Subscription sub)` remove an active subscription
`void` | `start()` start the DispatchWorker
`void` | `stop()` stop the DispatchWorker
`void` | `wakeup()` Called to indicate that there is work to do this will wake up a Dispatch Worker if it is waiting for messages to dispatch
`void` | `wakeup(Subscription sub)` Called to indicate that there is work to do on a Subscription this will wake up a Dispatch Worker if it is waiting for messages to dispatch

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatcherImpl

    public DispatcherImpl()

Method Detail

### register

    public void register(MessageContainerManager mcm)

  Register the MessageContainerManager for the Dispatcher

  Specified by:
    `register` in interface `Dispatcher`
  Parameters:
    `mcm` -

### wakeup

    public void wakeup(Subscription sub)

  Called to indicate that there is work to do on a Subscription this will wake up a Dispatch Worker if it is waiting for messages to dispatch

  Specified by:
    `wakeup` in interface `Dispatcher`
  Parameters:
    `sub` - the Subscription that now has messages to dispatch

### wakeup

    public void wakeup()

  Called to indicate that there is work to do this will wake up a Dispatch Worker if it is waiting for messages to dispatch

  Specified by:
    `wakeup` in interface `Dispatcher`

### addActiveSubscription

    public void addActiveSubscription(BrokerClient client,
                                      Subscription sub)

  Add an active subscription

  Specified by:
    `addActiveSubscription` in interface `Dispatcher`
  Parameters:
    `client` -
    `sub` -

### removeActiveSubscription

    public void removeActiveSubscription(BrokerClient client,
                                         Subscription sub)

  remove an active subscription

  Specified by:
    `removeActiveSubscription` in interface `Dispatcher`
  Parameters:
    `client` -
    `sub` -

### start

    public void start()

  start the DispatchWorker

  Specified by:
    `start` in interface `Service`
  See Also:
    `Service.start()`

### stop

    public void stop()

  stop the DispatchWorker

  Specified by:
    `stop` in interface `Service`
  See Also:
    `Service.stop()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.